| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
MagSensor Struct Reference

`#include <sensor_data_types.h>`

Collaboration diagram for MagSensor:

## Data Fields
float | fBs [3]
float | fBsAvg [3]
float | fBcAvg [3]
float | fuTPerCount
float | fCountsPeruT
int16 | iBsBuffer [MAG_OVERSAMPLE_RATIO][3]
int16 | iBs [3]
int16 | iBsAvg [3]
int16 | iBcAvg [3]
int16 | iCountsPeruT
uint8 | iWhoAmI

## Detailed Description

Definition at line 47 of file sensor_data_types.h.

## Field Documentation

float fBcAvg[3]

Definition at line 52 of file sensor_data_types.h.

Referenced by fInit_3DOF_B_BASIC(), fInit_6DOF_GB_BASIC(), fInit_9DOF_GBY_KALMAN(), fInvertMagCal(), fRun_3DOF_B_BASIC(), fRun_6DOF_GB_BASIC(), and fRun_9DOF_GBY_KALMAN().

float fBs[3]

Definition at line 50 of file sensor_data_types.h.

float fBsAvg[3]

Definition at line 51 of file sensor_data_types.h.

Referenced by fInvertMagCal().

float fCountsPeruT

Definition at line 54 of file sensor_data_types.h.

Referenced by fInvertMagCal().

float fuTPerCount

Definition at line 53 of file sensor_data_types.h.

Referenced by fUpdateCalibration10EIG(), fUpdateCalibration4INV(), and fUpdateCalibration7EIG().

int16 iBcAvg[3]

Definition at line 58 of file sensor_data_types.h.

Referenced by fInvertMagCal(), and iUpdateMagnetometerBuffer().

int16 iBs[3]

Definition at line 56 of file sensor_data_types.h.

Referenced by ApplyMagHAL(), and iUpdateMagnetometerBuffer().

int16 iBsAvg[3]

Definition at line 57 of file sensor_data_types.h.

Referenced by fInvertMagCal().

int16 iBsBuffer[MAG_OVERSAMPLE_RATIO][3]

Definition at line 55 of file sensor_data_types.h.

int16 iCountsPeruT

Definition at line 59 of file sensor_data_types.h.

uint8 iWhoAmI

Definition at line 60 of file sensor_data_types.h.

The documentation for this struct was generated from the following file:

- SensorFusion/sensor_data_types.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.